<?
/*
		Project : T-Xore    version      0.0.4      released     on 06/2006   By  Bogaa 
		This piece of software is free to use by anyone and may be redistributed
		and modified by anyone in any way. We   can't be held   liable for damage
		or copyright infringement claims. Read the documentation!
		
		Bogaa's Homepage : http://www.meganova.org
		Project Homepage  : http://www.devnova.org
*/



require_once "config.php";
connect ($dbhost, $dbuser, $dbpass, $database);
stheader('FAQ');
echo '<div class="location"><a href="index.php">Home</a> &raquo; <a href="faq.php">FAQ</a></div>';
?>
<div class="det">
<h1>BitTorrent FAQ</h1>
<p>
<i>This small FAQ explains some of the questions rised by BitTorrent -- the P2P content distribution system.</i>
<br />
</p><h2>Contents</h2>
<p></p>
<ul>
<li><a href="#whatistorrent">What is BitTorrent?</a></li>
<li><a href="#wheretoget">Where can I get BitTorrent?</a></li>
<li><a href="#howtoinstall">How do I install the client?</a></li>
<li><a href="#magnet">Whats this magnet thing? Why not  .torrents?</a></li>
<li><a href="#slowstart">Why does it take so long to start a big download?</a></li>
<li><a href="#filesize">The file size looks complete, but the download keeps running. Why?</a></li>
<li><a href="#resume">Can I resume an interrupted download?</a></li>
<li><a href="#download_crc">How can I be sure the downloaded file isn't broken?</a></li>
<li><a href="#let_run">Why should I leave BitTorrent running after the download?</a></li>
<li><a href="#stop_uploads">How can I stop BitTorrent from uploading?</a></li>
<li><a href="#safety">Is BitTorrent safe to use? Does it expose my computer or files?</a></li>
<li><a href="#trouble">Why did I get mail stating I have violated federal law?</a></li>
<li><a href="#firewall">Does BitTorrent work through firewall or NAT?</a></li>
<li><a href="#own_torrents">How do I make my own torrents?</a></li>
<li><a href="#source">Is there a source for this website?</a></li>
</ul>
<a name="whatistorrent"></a>
<h2>  What is BitTorrent?</h2>  BitTorrent is a content distribution system that distributes the downloads among peer 
downloaders. In essence when you're downloading with BitTorrent, you are simultaneously uploading the same file to other downloaders.

<a name="wheretoget"></a>
<h2>  Where can I get BitTorrent?</h2>  
I recommend that if you are wanting a small, quick, and flexible torrent client, try out <strong><a href="http://int64.org/arctic.html">Actic 1.2.3</a></strong>. It has minimal features and simply does the job and does it right! If you would like a more advanced client, I also recommend trying out <a href="http://getazurues.com"><strong>Azurues</strong</a>. It has hundreds of features including DHT, header control, encryption (which I disagree with using!), and many more things as well.

<a name="magnet"></a>
<h2>  Whats this magnet/dht thing?</h2>
<strong><a href="http://azureus.sourceforge.net/download.php">Azureus</a></strong> is the only current program that supports the 'magnet' feature. When you open a magnet, it connects to the Azureus DHT network and downloads it from another user - and when theres no users to grab it from, then obviously the file isnt floating around anymore. A DHT string is generally the same thing, and is compatible with a few clients (those that have a DHT network).

<a name="howtoinstall"></a>
<h2>  How do I install the client?</h2>  
Installing BitTorrent couldn't be simpler. Just download the installer and run it. There will be no icons to be seen in either 
Start manu or desktop. BitTorrent associates itself with <i>.torrent</i> files and launches them automatically when you download or open them.

<a name="slowstart"></a>
<h2>  Why does it take so long to start a big download?</h2>  
BitTorrent allocates space for the file to be downloaded before actually starting the download. That means that BT writes a "dummy" 
file that has the exact size of the file being downloaded, just filled with zeroes.

<a name="filesize"></a>
<h2>  The file size looks complete, but the download keeps running. Why?</h2>  
See the question above. The file isn't complete until the transfer meter has reached 100%.

<a name="resume"></a>
<h2>  Can I resume an interrupted download?</h2>  
Yes. Just open the <i>.torrent</i> again either by double clicking the file on your harddisk, if you saved it there, or clicking the 
link again on the web page. Then point the download to the same exact directory you started downloading to -- BitTorrent will automatically 
inspect the already downloaded file and resume downloading.

<a name="download_crc"></a>
<h2>  How can I be sure the downloaded file isn't broken?</h2>  
BitTorrent checks downloaded parts using cryptographic hashing (SHA1). When the download is complete, it is also completely verified 
and OK. If it isn't, then the original file was already corrupt.

<a name="let_run"></a>
<h2>  Why should I leave BitTorrent running after the download?</h2>  
It's considered a good practice to leave BitTorrent running even after your download is complete -- if everyone closes their downloads 
there will be no "seeds", or complete downloaders to download from. Please try and leave the client running atleast until your "share ratio" 
is 1.0 or more, i.e. when you have uploaded atleast as much data as you have downloaded.

<a name="stop_uploads"></a>
<h2>  How can I stop BitTorrent from uploading?</h2>  
Some clients allow you to adjust the rate at which data is being uploaded to other clients. However there's little point in doing this, since 
other BitTorrent clients determine the amount of data you receive by the rate you upload at. If you don't upload at all, your transfers will 
slow down to a crawl.

<a name="safety"></a>
<h2>  Is BitTorrent safe to use?</h2>  
Absolutely. It only uploads the file you are downloading. It has no access to your private files, and it doesn't expose your computer or 
your private data to the outside world.

<a name="trouble"></a>
<h2>  Why did I get mail stating I violated a federal law?</h2>
You may or may have not noticed, but p2p has had a very infamous name for itself over the past 8 years. It started with napster getting p2p very well known, along with audiogalaxy, and tons of other sites. They eventually got shut down, but they had the idea of bittorrent before it was even invented: peers sharing files with other peers. Depending on what you download however, is what determines if you get in trouble. For example, if you go download Spiderman 3 you might get in trouble, your ISP isnt exactly NOT watching you know? They'll find out and always will...its called a CACHE =P

<a name="firewall"></a>
<h2>  Does BitTorrent work through firewall or NAT?</h2>  
Yes, but it works faster if other peers can connect to you. If you are able to, open ports 6881-6890 in your firewall and/or define port 
forwarding from ports 6881-6890 of your NAT box to the corresponding ports on client computer running BitTorrent.

<a name="own_torrents"></a>
<h2>  How do I make my own torrents?</h2>  
Serving files over BitTorrent is a bit more complicated, and won't be covered here. In essence you need a <i>tracker</i> to announce the 
torrent, and a <i>web server</i> to host the .torrent -file itself.

</div>					
<?
footer();
?>