<?
require_once "config.php";
connect ($dbhost, $dbuser, $dbpass, $database);
stheader('Stats');
echo '<div class="location"><a href="index.php">Home</a> :: <a href="stats.php">Stats</a></div>';
?>
<fieldset>
<legend><strong>Stats </strong></legend>
<div align="left">
<?
function print_row($first, $second, $italic = false) {
  global $dark;

  switch($dark) {
    case true: echo '<tr class="d">'; $dark = false; break;
    default: echo '<tr>'; $dark = true;
  }		      

  if ($italic)
    echo '<td width="20%"><em>'.$first.'</em></td><td><em>'.$second.'</em></td></tr>';
  else
    echo '<td width="20%">'.$first.'</td><td>'.$second.'</td></tr>';
}
function size($size, $short_notation = false) {
  $kb = 1024;       // Kilobyte
  $mb = 1024 * $kb; // Megabyte
  $gb = 1024 * $mb; // Gigabyte
  $tb = 1024 * $gb; // Terabyte

  if($short_notation == true) {
    $byte     = 'B';
    $kilobyte = 'KB';
    $megabyte = 'MB';
    $gigabyte = 'GB';
    $terabyte = 'TB';
  }
  else {
    $byte    = 'bytes';
    $kilobyte = 'kilobyte';
    $megabyte = 'megabyte';
    $gigabyte = 'gigabyte';
    $terabyte = 'terabyte';
  }
  
  if($size < $kb)      $size = $size.'&nbsp;'.$byte;
  else if($size < $mb) $size = round($size/$kb,2).'&nbsp;'.$kilobyte;
  else if($size < $gb) $size = round($size/$mb,2).'&nbsp;'.$megabyte;
  else if($size < $tb) $size = round($size/$gb,2).'&nbsp;'.$gigabyte;
  else                 $size = round($size/$tb,2).'&nbsp;'.$terabyte;
  
  return $size;
}


echo '<table class="s" width="100%" align="left" cellpadding="0" cellspacing="0" border="0">';


// total torrents in database
$result = mysql_query("SELECT COUNT(id) FROM torrents") or die (mysql_error());

list($torrent_total) = mysql_fetch_row($result);

echo '<th>Torrents in database</th><td>';
echo $torrent_total;

$result = mysql_query("SELECT COUNT(id) FROM torrents WHERE registration='1'") or die (mysql_error());
list($registered_torrent_total) = mysql_fetch_row($result);
//registration required
echo '<tr><th><img src="images/r.gif" />:</th><td>';
echo $registered_torrent_total;
echo ' </td></tr>';
//registration not required
echo '<tr><th>Non <img src="images/r.gif" />:</th><td>';
echo $torrent_total - $registered_torrent_total;
echo ' </td></tr>';



// seeds & leechers
$result = mysql_query("SELECT SUM(seeds), SUM(peers) FROM torrents") or die (mysql_error());
list($seeds_total, $peers_total) = mysql_fetch_row($result);
// registered seeds & leechers
$result = mysql_query("SELECT SUM(seeds), SUM(peers)  FROM torrents WHERE registration='1'") or die (mysql_error());
list($registered_seeds_total, $registered_peers_total) = mysql_fetch_row($result);


//seeds total
echo '<tr><th>&nbsp;Seeders:</th><td>';
echo $seeds_total;
//registered  seeds
echo '<tr><th><img src="images/r.gif" />:</th><td>';
echo $registered_seeds_total;
//unregistered  seeds
echo '<tr><th>Non <img src="images/r.gif" />:</th><td>';
echo $seeds_total - $registered_seeds_total;

//Leechers Total
echo '<tr><th>&nbsp;Leechers:</th><td>';
echo $peers_total;
//registered  Leechers
echo '<tr><th><img src="images/r.gif" />:</th><td>';
echo $registered_peers_total;
//unregistered  Leechers
echo '<tr><th>Non <img src="images/r.gif" />:</th><td>';
echo $peers_total - $registered_peers_total;


// seeds/leechers ratio
echo '<tr><th>Seeders/Leechers Ratio:</th><td>';
echo round($seeds_total / $peers_total, 2);
echo '<tr><th><img src="images/r.gif" />:</th><td>';
echo round($registered_seeds_total / $registered_peers_total, 2);
echo '<tr><th>Non <img src="images/r.gif" />:</th><td>';
echo round(($seeds_total - $registered_seeds_total) / ($peers_total - $registered_peers_total), 2);


// average peer count per torrent
$result = mysql_query("SELECT AVG(seeds), AVG(peers) FROM torrents") or die (mysql_error());
list($avg_seeds, $avg_peers) = mysql_fetch_row($result);
echo '<tr><th>Average Seeders:</th><td>';
echo  round($avg_seeds);
echo '<tr><th>Average Leechers:</th><td>';
echo round($avg_peers);

// total number of trackers
$result = mysql_query("SELECT  COUNT(DISTINCT tracker) FROM torrents") or die (mysql_error());
list($tracker_count) = mysql_fetch_row($result);
echo '<tr><th>Total number of trackers:</th><td>';
echo $tracker_count;


// Torrents added per day avg
$result = mysql_query("SELECT MIN(added)  FROM torrents") or die (mysql_error());
list($start_day) = mysql_fetch_row($result);
$days = (time() - $start_day) / (60 * 60 * 24);
$day  = round($torrent_total / $days, 2);
$hour = round($day / 24, 2);
echo '<tr><th>Average torrents each day:</th><td>';
echo $day.' ('.$hour.' per hour)';
echo ' </td></tr>';


// queries per second
$status = explode('  ', mysql_stat());
list(, $query_second) = explode(': ', $status[7]);
echo '<tr><th>Average queries per second:</th><td>';
echo $query_second;
echo ' </td></tr>';

// Shared data
$result = mysql_query("SELECT SUM(size)   FROM torrents") or die (mysql_error());
list($size) = mysql_fetch_row($result);
$size = torsize ($size);
echo '<tr><th>Total Size:</th><td>';
echo $size;
echo '</td></tr>';




$query  = 'SELECT COUNT(tor.id) AS amount, tor.tracker ';
$query .= 'FROM torrents AS tor ';
$query .= 'LEFT JOIN torrents AS tracker ';
$query .= 'ON tor.tracker ';
$query .= 'GROUP BY tor.tracker ';
$query .= 'ORDER BY amount DESC ';
$query .= 'LIMIT 5';
$result = mysql_query($query) or die('Error in SQL query: '.mysql_error());


echo '<table class="s" width="100%" align="center" cellpadding="0" cellspacing="0" border="0">';
echo '<tr><br />
<br />
<br />

</tr>';
echo '<tr><h2>Top 5 Trackers</h2></tr>';
echo '<tr><br />
<br />
</tr>';
echo '<tr><th width="20%" align="left">Torrents</th><th width="80%" align="left">Trackers</th></tr>';

while($row = mysql_fetch_assoc($result)) {
  switch($dark) {
    case true: echo '<tr>'; $dark = false; break;
    default: echo '<tr>'; $dark = true;
  }

  echo '<td>'.$row['amount'].'</td><td>';
 
  echo str_replace('scrape', 'announce', $row['tracker']).'</td></tr>';
}

echo '</table>';

?>
</table>
</div>
</fieldset>				
<?
footer();
?>
